<div class="alert alert-light mx-4 mt-3">
  <div class="input-group">
    <div class="input-group-prepend mt-2 mb-2 pt-1 pb-1 pl-3">
      <span class="mr-2"><img src="assets/images/novartis/search.svg" alt="Search" height="24px" /></span>
      <!-- <ejs-textbox [formControl]="queryField" name="txtSearch" placeholder="Search" class="mr-3 search" width="250px"></ejs-textbox> -->
      <input type="text" [formControl]="queryField" name="txtSearch" placeholder="Search"
        [ngClass]="queryField.value?'search':'emptySearch'" />
    </div>

    <!-- <ejs-textbox name="txtSearch" class="mt-2 mr-3 custom-textbox" [placeholder]="dataQualityContent?.searchWaterMark">
    </ejs-textbox> -->
    <!-- <div class="input-group-append h1 text-muted">
      |
    </div> -->

    <div class="d-flex mt-2 mb-2 pt-1 pb-1 pl-2 border-left border-light">
      <ejs-multiselect name="dataLayer" #dataLayer="ngModel" cssClass="e-outline" [dataSource]="DataLayerOptions"
        [fields]="DataLayerFields" [placeholder]="dataQualityContent?.dropDowns?.layer" (change)=dataLayerChange($event)
        [(ngModel)]="dataQualityDetails.layer_id" showSelectAll="true" selectAllText="Select All" mode="CheckBox"
        width="200px" class="mr-2" [showDropDownIcon]='true'>
      </ejs-multiselect>
      <!-- <ejs-dropdownlist width="200px" class="mr-2">
      </ejs-dropdownlist> -->
      <ejs-multiselect name="object" #object="ngModel" cssClass="e-outline" [dataSource]="objectList"
        [fields]="objectFields" [(ngModel)]="dataQualityDetails.obj_id"
        [placeholder]="dataQualityContent?.dropDowns?.object" (change)="objectChange($event)" showSelectAll="true"
        selectAllText="Select All" mode="CheckBox" width="200px" class="mr-2" [showDropDownIcon]='true'>
      </ejs-multiselect>
      <!-- <ejs-dropdownlist name="object" #object="ngModel" cssClass="e-outline" [dataSource]="objectList"
        [fields]="objectFields" [(ngModel)]="dataQualityDetails.obj_id"
        [placeholder]="dataQualityContent?.dropDowns?.object" (change)="objectChange($event)" width="200px"
        class="mr-2">
      </ejs-dropdownlist> -->
    </div>

    <!-- <div class="input-group-append h1 text-muted">
      |
    </div> -->

    <!-- DO NOT DELETE: it accounts for other attribute filteration -->
    <!-- <div class="d-flex mt-2 pt-1" *ngFor="let selectedAttribute of selectedAttributes; let i = index">
      <ejs-dropdownlist name="selectedAttribute.name" cssClass="e-outline"
        [dataSource]="selectedAttribute.dataSource" [fields]="selectedAttribute.fields" [placeholder]="selectedAttribute.name"
        (change)="selectedAttributeChange($event, selectedAttribute.value)"  width="200px" class="mr-2">
      </ejs-dropdownlist>
      <button class="warningButton btn mr-4 pt-0" aria-label="Delete selectedAttribute" #deleteButton aria-expanded="false"
      (click)="deleted(selectedAttribute)">
        <em class="fa fa-trash"></em>
      </button>
    </div> -->
    <div *ngFor="let selectedAttribute of selectedAttributes; let i = index">
      <div class="d-flex mt-2 pt-1" *ngIf="selectedAttribute.value === 'mstr_rule_id'">
        <ejs-multiselect name="selectedAttribute.name" cssClass="e-outline" [dataSource]="selectedAttribute.dataSource"
          [fields]="selectedAttribute.fields" [placeholder]="selectedAttribute.name" showSelectAll="true"
          selectAllText="Select All" mode="CheckBox" (change)="ruleTypeChange($event)" width="200px"
          class="mr-1" [showDropDownIcon]='true'>
        </ejs-multiselect>
        <button class="warningButton btn mr-4 pt-0" aria-label="Delete selectedAttribute" #deleteButton
          aria-expanded="false" (click)="deleted(selectedAttribute)">
          <img src="assets/images/novartis/remove.svg" alt="Search" height="20px" />
        </button>
      </div>
      <div class="d-flex mt-2 pt-1" *ngIf="selectedAttribute.value === 'attr_id_lst'">
        <ejs-multiselect name="selectedAttribute.name" cssClass="e-outline" [placeholder]="selectedAttribute.name"
          showSelectAll="true" selectAllText="Select All" mode="CheckBox" (change)="attributeChange($event)"
          width="200px" class="mr-1" [showDropDownIcon]='true'>
        </ejs-multiselect>
        <button class="warningButton btn mr-4 pt-0" aria-label="Delete selectedAttribute" #deleteButton
          aria-expanded="false" (click)="deleted(selectedAttribute)">
          <img src="assets/images/novartis/remove.svg" alt="Search" height="20px" />
        </button>
      </div>
      <div class="d-flex mt-2 pt-1" *ngIf="selectedAttribute.value === 'bk_attr_id_lst'">
        <ejs-multiselect name="selectedAttribute.name" cssClass="e-outline" [placeholder]="selectedAttribute.name"
          showSelectAll="true" selectAllText="Select All" mode="CheckBox" (change)="bkAttributeChange($event)"
          width="200px" class="mr-1" [showDropDownIcon]='true'>
        </ejs-multiselect>
        <button class="warningButton btn mr-4 pt-0" aria-label="Delete selectedAttribute" #deleteButton
          aria-expanded="false" (click)="deleted(selectedAttribute)">
          <img src="assets/images/novartis/remove.svg" alt="Search" height="20px" />
        </button>
      </div>
      <div class="d-flex mt-2 pt-2" *ngIf="selectedAttribute.value === 'rule_svrt'">
        <p class="text-left text-dark mr-2 mb-0"><small class="ml-2">Severity:</small></p>
        <span *ngFor="let severityOption of severityOptions" class="mr-2">
          <ejs-radiobutton label="{{severityOption}}" name="severity" cssClass="custom-radio-btn"
            (change)="severityTypeChange(severityOption)">
          </ejs-radiobutton>
        </span>
        <button class="warningButton btn mr-4 pt-0" aria-label="Delete selectedAttribute" #deleteButton
          aria-expanded="false" (click)="deleted(selectedAttribute)">
          <img src="assets/images/novartis/remove.svg" alt="Search" height="20px" />
        </button>
      </div>
      <div class="d-flex mt-2 pt-2" *ngIf="selectedAttribute.value === 'is_rule_actv'">
        <p class="text-left text-dark font-weight-bold mr-1 mb-0"><small class="ml-2">Active:</small></p>
        <span>
          <ejs-checkbox label="" name="active" checked="true" (change)="statusChange($event)">
          </ejs-checkbox>
        </span>
        <button class="warningButton btn mr-4 pt-0" aria-label="Delete selectedAttribute" #deleteButton
          aria-expanded="false" (click)="deleted(selectedAttribute)">
          <img src="assets/images/novartis/remove.svg" alt="Search" height="20px" />
        </button>
      </div>
    </div>

    <div class="d-flex mt-2 pt-1">

      <!-- <ejs-dropdownlist name="businessLayer" #objectProvider="ngModel" cssClass="e-outline"
        [dataSource]="DataLayerOptions" [fields]="DataLayerFields" [placeholder]="dataQualityContent?.dropDowns?.layer"
        (change)=businessLayerChange($event) [(ngModel)]="dataQualityDetails.layer_id" width="200px" class="mr-2">
      </ejs-dropdownlist>

      <ejs-dropdownlist name="ruleType" #ruleType="ngModel" cssClass="e-outline"
        [dataSource]="RuleTypeOptions" [fields]="RuleTypeFields" placeholder="Rule Type"
        (change)=ruleTypeChange($event) [(ngModel)]="filterCriteria.mstr_rule_id" width="200px" class="mr-2">
      </ejs-dropdownlist>
      <button class="warningButton btn btn-danger mr-4" aria-label="Delete ruleType" #deleteButton aria-expanded="true" >
        <em class="fa fa-trash-alt"></em>
      </button>

      <ejs-dropdownlist name="severityType" #severityType="ngModel" cssClass="e-outline"
        [dataSource]="severityOptions" placeholder="Severity Type"
        (change)=severityTypeChange($event) [(ngModel)]="filterCriteria.rule_svrt" width="200px" class="mr-2">
      </ejs-dropdownlist>
      <button class="warningButton btn btn-danger mr-4" aria-label="Delete severityType" #deleteButton aria-expanded="false">
        <em class="fa fa-trash-alt"></em>
      </button> -->

      <div class="dropdown mr-3">
        <button class="iconTextButton btn btn-primary dropdown-toggle" aria-label="Add New Filter" #dropdownMenuButton
          data-toggle="dropdown" aria-expanded="false">
          <img src="assets/images/novartis/add.svg" alt="Add More Filter" /><span class="ml-1 mr-1">Add</span>
        </button>
        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
          <a class="dropdown-item" *ngFor="let item of attributesForFilter"
            (click)="attributeSelected(item)">{{item.name}}</a>
        </div>
      </div>
    </div>

  </div>
</div>